{{#if this.header}}
  <table class="table table-hover" ...attributes>
    <thead>
      <tr>
        <th scope="col">#</th>

        {{#each this.header as | key | }}
          <th scope="col">{{key}}</th>
        {{/each}}
      </tr>
    </thead>
    <tbody>
      {{#each this.rows as | row | }}
        <tr>
          <th scope="row">{{row.index}}</th>

          {{#each row.values as | value | }}
            <td>{{value}}</td>
          {{/each}}
        </tr>
      {{/each}}
    </tbody>
  </table>
{{/if}}